Skip to main content
PATCH
/
b2b
/
webhooks
/
{webhook_id}
Update Webhook
curl --request PATCH \
  --url https://nexus.kraken.com/b2b/webhooks/{webhook_id} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "events": [
    "quote.executed"
  ]
}
'
{
  "result": {
    "webhook": {
      "id": "WHTEST-XXXXX-EXAMPLE",
      "url": "https://your-domain.com/webhooks/payward",
      "enabled": true,
      "subscribed_events": [
        "quote.executed"
      ],
      "available_events": [
        "custom_order.executed",
        "custom_order.execution_failed",
        "custom_order.cancelled",
        "quote.executed",
        "quote.execution_failed",
        "quote.cancelled",
        "reward.paid",
        "user.verified",
        "user.closed",
        "user.disabled"
      ],
      "created_at": "2023-01-01T00:00:00Z",
      "updated_at": "2023-01-01T00:01:00Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

webhook_id
string
required

Unique identifier for the webhook

Example:

"WHTEST-XXXXX-EXAMPLE"

Body

application/json
enabled
boolean

Whether the webhook should be enabled or disabled

Example:

true

events
string[]

List of event types to subscribe to. This replaces all existing event subscriptions. Pass an empty array [] to unsubscribe from all events.

Maximum array length: 50
Maximum string length: 100
Pattern: ^[a-zA-Z0-9._]+$
Example:
["quote.executed"]

Response

Webhook updated successfully

result
object